/////////////////////////////////////////////////////////////////////////////
//
// Copyright (C) 2005 Parallels Inc. All Rights Reserved.
//		 http://www.parallelssoft.com
//
// Module: Config.h
//
// Description: Main program definitions
//
/////////////////////////////////////////////////////////////////////////////

#ifndef _CONFIG_H_
#define _CONFIG_H_

// define version
#define VER_MAJOR		2
#define VER_MINOR		2
#define VER_BUILD 2112
#define VER_FIXES 0
#define VER_DATE		"2006-11-22"
#define VER_SPECIAL		0

//#define DISABLE_AUTO_UPDATE

// If special version defined we can use values to 
#if VER_SPECIAL
 // Special video modes
 #define SPECIAL_VIDEO		0x00000001
 // Speedstep technology support
 #define SPECIAL_SPEED_STEP	0x00000002
 // Special build with mode2 support
 #define SPECIAL_MODE		0x00000004
 // Collect all needed flags to one (example)
 #define SPECIAL_FEAT		(SPECIAL_MODE)
#else
 #define  SPECIAL_FEAT		0x00000000
#endif

#define TARGET_NAME		"parallels"
#define TARGET_NAME_DISP	"Parallels Workstation"
#define ABOUT_NAME_DISP		"Parallels Workstation"
#define TARGET_VERSION		"2.2"
#define TARGET_RELEASE		""
#define TARGET_RELEASE_SHORT	"B"
#define TARGET_NAME_EXT		"pvs"

#define VENDOR_NAME     	"Parallels Software International, Inc."
#define VENDOR_URL		"http://www.parallels.com"
#define VENDOR_SUPPORT_URL		QT_TRANSLATE_NOOP("QObject", "http://www.parallels.com/support") 
#define VENDOR_SUPPORT_EMAIL	QT_TRANSLATE_NOOP("QObject", "support@parallels.com") 
#define VENDOR_CUST_REG_URG		"http://www.parallels.com/en/account/registration/product,2"
#define VENDOR_ONLINE_REG		"http://www.parallels.com/en/account"

#include "ConfigVars.h"

#endif
