/* ------------------------------------------------------------------- *
 *                                                                     *
 *   Copyright (C) 2005 Parallels Software Inc. All Rights Reserved.   *
 *                      http://www.parallels.com                       *
 *                                                                     *
 * ------------------------------------------------------------------- *
 *                                                                     *
 * Module: interrupt.h                                                 *
 *                                                                     *
 * Description:                                                        *
 *  Defines for interrupt handlers.                                    *
 *                                                                     *
 * Comments:                                                           *
 *                                                                     *
 * Author: ms                                                          *
 * ------------------------------------------------------------------- *
 */

#ifndef __INTERRUPT_H__
#define __INTERRUPT_H__

/* instructions types */
#define PERC_FORWARD_EXCEPTION      0
#define PERC_RESTART_INSTRUCTION    1

/* internal handlers flags */
#define IFE_VM_MODE             0x40000000
#define IFE_ENABLE_INTERRUPTS   0x80000000
#define IFE_CHAINED_ENTRY_MASK  0xff

#endif /* __INTERRUPT_H__ */
